#!/usr/bin/env python
#-*- coding: UTF-8 -*-
 
import wx
from   .nofyhistmisc import *

class CustomStatusBar(wx.StatusBar):
    ID_LED = wx.NewId()
    
    def __init__(self, parent):
        wx.StatusBar.__init__(self, parent, -1)
        self.parent = parent
        self.Bind(wx.EVT_SIZE, self.rePosition)
        self.dc = wx.ScreenDC()
        self.SetFieldsCount(3)
        # self.SetStatusWidths([175, 15 -1]) geht nicht !!??##
        self.SetStatusStyles([3,  3, 3])  # wx.SB_SUNKEN geht nicht !!??
        self.rePosition()
    #-------------------------------------------------------------------------------------------------------

    def rePosition(self, event = None):
        w,h = self.dc.GetTextExtent(self.GetStatusText(1))
        self.SetStatusWidths([175, w + 10, -1])
# - CustomStatusBar(wx.StatusBar):-------------------------------------------------------------------------
